<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/black"
    android:rotation="0"
    android:rotationX="0"
    android:rotationY="0"
    tools:context=".USBCameraActivity2">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:id="@+id/precam"
                >

        </RelativeLayout>


        <com.sensetime.demo.view.UVCCameraSurfaceView
                android:visibility="gone"
            android:id="@+id/camera_face_sv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center" />

        <com.sensetime.demo.view.UVCCameraTextureView
            android:visibility="gone"
            android:id="@+id/camera_texture_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerInParent="true"
            android:layout_gravity="center" />



        <FrameLayout
            android:id="@+id/lobby"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/black"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <ImageView
                    android:id="@+id/lobby_img"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:srcCompat="@drawable/reboot_back" />

                <ImageView
                    android:id="@+id/img_ampm"
                    android:layout_width="70dp"
                    android:layout_height="50dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="89dp"
                    app:srcCompat="@drawable/time_am" />

                <ImageView
                    android:id="@+id/img_hour_ten"
                    android:layout_width="63dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="184dp"
                    app:srcCompat="@drawable/main_time_1" />

                <ImageView
                    android:id="@+id/img_hour_units"
                    android:layout_width="63dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="257dp"
                    app:srcCompat="@drawable/main_time_2" />

                <ImageView
                    android:id="@+id/img_time_split"
                    android:layout_width="30dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="340dp"
                    app:srcCompat="@drawable/time_dot" />

                <ImageView
                    android:id="@+id/img_min_tens"
                    android:layout_width="63dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="390dp"
                    app:srcCompat="@drawable/main_time_3" />

                <ImageView
                    android:id="@+id/img_min_units"
                    android:layout_width="63dp"
                    android:layout_height="120dp"
                    android:layout_marginTop="90dp"
                    android:layout_marginLeft="473dp"
                    app:srcCompat="@drawable/main_time_4" />

                <TextView
                    android:id="@+id/lobby_up"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textColor="@color/gray"
                    android:layout_marginTop="9dp"
                    android:layout_marginLeft="444dp"
                    android:textSize="27dp"/>

                <TextView
                    android:id="@+id/lobby_down"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="301dp"
                    android:layout_marginLeft="137dp"
                    android:textSize="35dp" />

                </FrameLayout>

        <FrameLayout
            android:id="@+id/layout_guard"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/black"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">



                <ImageView
                    android:id="@+id/guard_img_main"
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    android:layout_marginTop="30dp"
                    app:srcCompat="@drawable/image_guard" />

                <ImageView
                    android:id="@+id/guard_img"
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    android:layout_marginTop="30dp"
                    app:srcCompat="@drawable/cir_white_quarter_700" />

                <TextView
                    android:id="@+id/lobby_guard"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="301dp"
                    android:layout_marginLeft="157dp"
                    android:textSize="35dp" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/Residence"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/black"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:id="@+id/tv_dong"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="87dp"
                    android:layout_marginLeft="41dp"
                    android:layout_marginRight="350dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="97dp"
                    android:text="" />

                <ImageView
                    android:id="@+id/img_dong"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="272dp"
                    app:srcCompat="@drawable/image_dong" />

                <TextView
                    android:id="@+id/tv_ho"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="87dp"
                    android:layout_marginLeft="230dp"
                    android:layout_marginRight="10dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:text="" />

                <ImageView
                    android:id="@+id/img_ho"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="541dp"
                    app:srcCompat="@drawable/image_ho" />


                <TextView
                    android:id="@+id/tv_ment"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginTop="301dp"
                    android:layout_marginLeft="60dp"
                    android:layout_marginRight="60dp"
                    android:text=""
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/tv_time"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginTop="250dp"
                    android:layout_marginLeft="60dp"
                    android:layout_marginRight="60dp"
                    android:text=""
                    android:textSize="35dp" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/sensepw"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/black"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">


                <ImageView
                    android:id="@+id/img_blank_pw1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="90dp"
                    app:srcCompat="@drawable/box_blank" />


                <ImageView
                    android:id="@+id/img_blank_pw2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="210dp"
                    app:srcCompat="@drawable/box_blank" />



                <ImageView
                    android:id="@+id/img_blank_pw3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="336dp"
                    app:srcCompat="@drawable/box_blank" />


                <ImageView
                    android:id="@+id/img_blank_pw4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="89dp"
                    android:layout_marginLeft="461dp"
                    app:srcCompat="@drawable/box_blank" />

                <TextView
                    android:id="@+id/pw_ment"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginTop="281dp"
                    android:text="얼굴인식 설정 비밀번호를 입력하세요."
                    android:textSize="36dp" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/userpw"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@android:color/black"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:id="@+id/tv_dong_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="52dp"
                    android:layout_marginLeft="100dp"
                    android:layout_marginRight="350dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:text="1010" />

                <ImageView
                    android:id="@+id/img_dong_user"
                    android:layout_width="60dp"
                    android:layout_height="70dp"
                    android:layout_marginTop="27dp"
                    android:layout_marginLeft="240dp"
                    app:srcCompat="@drawable/image_dong" />

                <TextView
                    android:id="@+id/tv_ho_user"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="52dp"
                    android:layout_marginLeft="240dp"
                    android:layout_marginRight="110dp"
                    android:gravity="center"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="1010" />

                <ImageView
                    android:id="@+id/img_ho_user"
                    android:layout_width="60dp"
                    android:layout_height="70dp"
                    android:layout_marginTop="27dp"
                    android:layout_marginLeft="420dp"
                    app:srcCompat="@drawable/image_ho" />

                <ImageView
                    android:id="@+id/img_blank_pw1_user"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="119dp"
                    android:layout_marginLeft="90dp"
                    app:srcCompat="@drawable/box_blank" />


                <ImageView
                    android:id="@+id/img_blank_pw2_user"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="119dp"
                    android:layout_marginLeft="210dp"
                    app:srcCompat="@drawable/box_blank" />



                <ImageView
                    android:id="@+id/img_blank_pw3_user"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="119dp"
                    android:layout_marginLeft="336dp"
                    app:srcCompat="@drawable/box_blank" />


                <ImageView
                    android:id="@+id/img_blank_pw4_user"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="119dp"
                    android:layout_marginLeft="461dp"
                    app:srcCompat="@drawable/box_blank" />

                <TextView
                    android:id="@+id/pw_ment_user"
                    android:textColor="@color/white"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:layout_marginTop="281dp"
                    android:text="세대 정보를 입력하세요."
                    android:textSize="36dp" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/sensemain"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_back"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="24dp"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:textStyle="bold"
                    android:gravity="center"
                    android:text="얼굴인식 메뉴" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="104dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="1] 인증거리" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="164dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="2] 얼굴등록" />
                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="224dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="3] 전체설정" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/sensedistance"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_back"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:id="@+id/title"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="24dp"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:text="인증거리 설정"
                    android:gravity="center"
                    android:textStyle="bold"/>

                <TextView
                    android:id="@+id/item_01_distance"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="30dp"
                    android:textColor="#00ff00"
                    android:textSize="35dp"
                    android:gravity="center"
                    android:text="5" />

                <TextView
                    android:id="@+id/item_02_distance"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="134dp"
                    android:layout_marginLeft="30dp"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:gravity="center"
                    android:text="1: ↓                3: ↑" />

                <TextView
                    android:id="@+id/item_03_distance"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="220dp"
                    android:layout_marginLeft="30dp"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:gravity="center"
                    android:text="- 거리 선택 후 '경비실'버튼을 누르세요. -" />

        </FrameLayout>

        <FrameLayout
            android:id="@+id/senseadd"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_back"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:id="@+id/guide"
                    android:layout_width="match_parent"
                    android:layout_height="55dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginLeft="500dp"
                    android:textColor="@color/gray"
                    android:textSize="20dp"
                    android:text="* : 행 이동\n경비실 : 설정" />

                <TextView
                    android:id="@+id/title_add"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="24dp"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:text="얼굴 등록"
                    android:textStyle="bold"/>

                <TextView
                    android:id="@+id/item_01_add"
                    android:textColor="@color/white"
                    android:layout_width="420dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="50dp"
                    android:text="동,호 설정"
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/item_02_add"
                    android:textColor="@color/white"
                    android:layout_width="500dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="140dp"
                    android:layout_marginLeft="50dp"
                    android:text="결과 : "
                    android:textSize="30dp" />

                <TextView
                    android:id="@+id/item_03_add"
                    android:textColor="@color/white"
                    android:layout_width="20dp"
                    android:layout_height="45dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="200dp"
                    android:text="["
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/item_04_add"
                    android:textColor="@color/white"
                    android:layout_width="30dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="300dp"
                    android:text="동"
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/item_05_add"
                    android:textColor="@color/white"
                    android:layout_width="30dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="415dp"
                    android:text="호"
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/item_06_add"
                    android:textColor="@color/white"
                    android:layout_width="30dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="495dp"
                    android:text="번"
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/item_07_add"
                    android:textColor="@color/white"
                    android:layout_width="30dp"
                    android:layout_height="45dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="530dp"
                    android:text="]"
                    android:textSize="35dp" />

                <TextView
                    android:id="@+id/input_01_add"
                    android:textColor="@color/white"
                    android:layout_width="95dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="220dp"
                    android:text="1010"
                    android:textSize="35dp"
                    android:maxLength="4"/>

                <TextView
                    android:id="@+id/input_02_add"
                    android:textColor="@color/white"
                    android:layout_width="95dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="340dp"
                    android:text="1001"
                    android:textSize="35dp"
                    android:maxLength="4"/>

                <TextView
                    android:id="@+id/input_03_add"
                    android:textColor="@color/white"
                    android:layout_width="50dp"
                    android:layout_height="40dp"
                    android:layout_marginTop="84dp"
                    android:layout_marginLeft="455dp"
                    android:text="10"
                    android:textSize="35dp"
                    android:maxLength="2"/>

        </FrameLayout>

        <FrameLayout
            android:id="@+id/sensesettingall"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_back"
            android:rotation="0"
            android:rotationX="0"
            android:rotationY="0">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginTop="24dp"
                    android:textColor="@color/white"
                    android:textSize="35dp"
                    android:textStyle="bold"
                    android:gravity="center"
                    android:text="전체 설정" />

                <TextView
                    android:id="@+id/tv_device_version"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="74dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="장치 버전 : " />

                <TextView
                    android:id="@+id/tv_ai_setting"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="124dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="1] AI 설정 [0]" />

                <TextView
                    android:id="@+id/tv_show_video"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="184dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="2] 영상 표시 [0]" />

                <TextView
                    android:id="@+id/tv_video_del"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="244dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="3] 전체 삭제" />

                <TextView
                    android:id="@+id/tv_video_recog"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="304dp"
                    android:layout_marginLeft="30dp"
                    android:textSize="35dp"
                    android:textColor="@color/white"
                    android:text="4] 인증률 [0]" />

                <TextView
                    android:id="@+id/tv_video_menu"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="20dp"
                    android:layout_marginLeft="450dp"
                    android:textSize="20dp"
                    android:textColor="@color/gray"
                    android:text="* : 이전 페이지 이동" />

                <TextView
                    android:id="@+id/tv_video_menu1"
                    android:layout_width="match_parent"
                    android:layout_height="45dp"
                    android:layout_marginTop="45dp"
                    android:layout_marginLeft="446dp"
                    android:textSize="20dp"
                    android:textColor="@color/gray"
                    android:text="# : 다음 페이지 이동" />


        </FrameLayout>

</FrameLayout>